Logiciels Apache et Brokers JMS compatibles avec Talend ESB

Talend ESB Guide d'installation pour Linux

EnrichVersion
6.4
EnrichProdName
Talend ESB
task
Installation et mise à niveau

Certains outils ESB utilisent des composants Apache. Talend ESB contient les versions suivantes du Projet Apache :

Tableau 9. Logiciels Apache supportés

Logiciel

Notes

Pour plus d'informations

Apache Karaf 4.1.1

Mise à jour de service.

Notes de publication : https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12311140&version=12339244 (en anglais)

Apache CXF 3.1.11

Mise à jour de service.

Notes de publication et Guide de Migration : http://cxf.apache.org/cxf-3111-release-notes.html (en anglais)

Apache Camel 2.17.6

Mise à jour mineure.

Notes de publication : http://camel.apache.org/camel-2176-release.html (en anglais)

Apache ActiveMQ 5.14.5

Mise à jour mineure.

Notes de publication : http://activemq.apache.org/activemq-5145-release.html (en anglais)


Talend ESB supporte les brokers JMS suivants.

Notez que les consommateurs (Consumer) et fournisseurs (Provider) Java ESB qui utilisent une solution de messaging basée SOAP/JMS sont supportés pour les brokers de messages (JMS) listés ci-dessous.

Tableau 10. Brokers de messages supportés pour SOAP/JMS

Logiciel

Pour plus d'informations

Apache ActiveMQ 5.14.5

Notes de publication : http://activemq.apache.org/activemq-5145-release.html (en anglais)

IBM WebSphere MQ 7.5

Notes de publication : http://www-01.ibm.com/support/docview.wss?uid=swg27043190 (en anglais)


Tableau 11. Containers supportés

Logiciel

Produit

Jetty 9.3.14

ESB Runtime - OSGi Container

Apache Tomcat 8.0.44

ESB Microservices